package cn.novalon.manage.sys.core.command;

/**
 * 创建菜单命令对象
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public record CreateMenuCommand(
        Long parentId,
        String menuName,
        String menuType,
        Integer orderNum,
        String component,
        String perms,
        Integer status) {
    public static CreateMenuCommand of(Long parentId, String menuName, String menuType, Integer orderNum,
            String component, String perms, Integer status) {
        return new CreateMenuCommand(parentId, menuName, menuType, orderNum, component, perms, status);
    }
}
